ReflectionClass::isTrait
ReflectionClass::newInstance
ReflectionClass
PHP Manual

# ReflectionClass::isUserDefined

(PHP 5)

ReflectionClass::isUserDefined — Checks if user defined

### Description

public bool ReflectionClass::isUserDefined ( void )

Checks whether the class is user-defined, as opposed to internal.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ReflectionClass::isInternal() - Checks if class is defined internally by an extension, or the core

ReflectionClass::isTrait
ReflectionClass::newInstance
ReflectionClass
PHP Manual